Run of fresh-releases for ruby-pathutil

Merge these changes:

git pull https://janitor.debian.net/git/ruby-pathutil fresh-releases/main
git pull https://janitor.debian.net/git/ruby-pathutil fresh-releases/pristine-tar
git pull https://janitor.debian.net/git/ruby-pathutil fresh-releases/upstream

Summary

Merged new upstream version: 0.16.2 (was: 0.16.1).

Diff

Branch: main

Diff is too long (more than 200 lines). Download the raw diff.

Branch: pristine-tar

diff --git a/ruby-pathutil_0.16.2.orig.tar.gz.delta b/ruby-pathutil_0.16.2.orig.tar.gz.delta
new file mode 100644
index 0000000..0454a7c
Binary files /dev/null and b/ruby-pathutil_0.16.2.orig.tar.gz.delta differ
diff --git a/ruby-pathutil_0.16.2.orig.tar.gz.id b/ruby-pathutil_0.16.2.orig.tar.gz.id
new file mode 100644
index 0000000..0e973b4
--- /dev/null
+++ b/ruby-pathutil_0.16.2.orig.tar.gz.id
@@ -0,0 +1 @@
+e2834a9fbb330b459e0ba4ec441a52c0752c5cdb

Branch: upstream

Tag: upstream/0.16.2
diff --git a/Rakefile b/Rakefile
index 58aaac7..a090251 100644
--- a/Rakefile
+++ b/Rakefile
@@ -1,81 +1,12 @@
 # Frozen-string-literal: true
-# Copyright: 2015 - 2017 Jordon Bedwell - MIT License
+# Copyright: 2017 - 2018 - MIT License
+# Source: https://github.com/envygeeks/devfiles
+# Author: Jordon Bedwell
 # Encoding: utf-8
 
-require "open3"
-require "rspec/core/rake_task"
-require_relative "benchmark/support/task"
-require "rubocop/rake_task"
-require "simple/ansi"
-require "pathutil"
-require "json"
-
-# --
-
-task :default => [
-  ENV["BENCHMARK"] ? :benchmark : :spec
-]
-
-# --
-
-BenchmarkTask.new :benchmark
-RSpec::Core::RakeTask.new :spec
-task :test => :spec
-
-# --
-
-namespace :diff do
-  desc "List methods we have that Pathname doesn't."
-  task :methods do
-    methods = Pathutil.instance_methods - Pathname.instance_methods - Object.instance_methods
-    methods.each do |method|
-      $stdout.print "- ", "`", method, "`", "\n"
-    end
-  end
-end
-
-# --
-
-namespace :missing do
-  desc "List methods we are missing."
-  task :methods do
-    methods = Pathname.instance_methods - Pathutil.instance_methods - Object.instance_methods
-    methods-= [
-      :cleanpath
-    ]
-
-    methods.each do |method|
-      $stdout.puts method
-    end
-  end
-end
-
-# --
-
-namespace :pathname do
-  desc "List all of Pathnames methods."
-  task :methods do
-    methods = Pathname.instance_methods - Object.instance_methods
-    methods.each_with_index do |method, index|
-      $stdout.print method
-      unless index == methods.size - 1
-        $stdout.print ", "
-      end
-    end
-
-    $stdout.puts
-  end
-end
-
-# --
-
-desc "List all of Pathutils methods."
-task :methods do
-  methods = Pathutil.instance_methods - Object.instance_methods
-  methods.each_with_index do |method, index|
-    $stdout.print "`", method, "`"
-    $stdout.print ", " unless index == methods.size - 1
-  end
-
-  $stdout.puts
+task default: [:spec]
+task(:spec) { exec "script/test" }
+task(:test) { exec "script/test" }
+Dir.glob("script/rake.d/*.rake").each do |v|
+  load v
 end
diff --git a/lib/pathutil/helpers.rb b/lib/pathutil/helpers.rb
index bec5f70..7398008 100644
--- a/lib/pathutil/helpers.rb
+++ b/lib/pathutil/helpers.rb
@@ -59,11 +59,29 @@ class Pathutil
       suffix = tmpname_suffix(suffix)
 
       root ||= Dir::Tmpname.tmpdir
-      File.join(root, Dir::Tmpname.make_tmpname(
+      File.join(root, __make_tmpname(
         prefix, suffix
       ))
     end
 
+    # --
+    private
+    def __make_tmpname((prefix, suffix), number)
+      prefix &&= String.try_convert(prefix) || tmpname_agerr(:prefix, prefix)
+      suffix &&= String.try_convert(suffix) || tmpname_agerr(:suffix, suffix)
+
+      time = Time.now.strftime("%Y%m%d")
+      path = "#{prefix}#{time}-#{$$}-#{rand(0x100000000).to_s(36)}".dup
+      path << "-#{number}" if number
+      path << suffix if suffix
+      path
+    end
+
+    private
+    def tmpname_agerr(type, val)
+      raise ArgumentError, "unexpected #{type}: #{val.inspect}"
+    end
+
     # --
     private
     def tmpname_suffix(suffix)
diff --git a/lib/pathutil/version.rb b/lib/pathutil/version.rb
index 7bb2e86..bfe223c 100644
--- a/lib/pathutil/version.rb
+++ b/lib/pathutil/version.rb
@@ -3,5 +3,5 @@
 # Encoding: utf-8
 
 class Pathutil
-  VERSION = "0.16.1"
+  VERSION = "0.16.2"
 end
diff --git a/pathutil.gemspec b/pathutil.gemspec
index 81723a7..7ecfe02 100644
--- a/pathutil.gemspec
+++ b/pathutil.gemspec
@@ -2,32 +2,33 @@
 # This file has been automatically generated by gem2tgz #
 #########################################################
 # -*- encoding: utf-8 -*-
+# stub: pathutil 0.16.2 ruby lib
 
 Gem::Specification.new do |s|
-  s.name = "pathutil"
-  s.version = "0.16.1"
+  s.name = "pathutil".freeze
+  s.version = "0.16.2"
 
-  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
-  s.authors = ["Jordon Bedwell"]
-  s.date = "2017-12-11"
-  s.description = "Like Pathname but a little less insane."
-  s.email = ["jordon@envygeeks.io"]
-  s.files = ["Gemfile", "LICENSE", "Rakefile", "lib/pathutil.rb", "lib/pathutil/helpers.rb", "lib/pathutil/version.rb"]
-  s.homepage = "http://github.com/envygeeks/pathutil"
-  s.licenses = ["MIT"]
-  s.require_paths = ["lib"]
-  s.rubygems_version = "1.8.23"
-  s.summary = "Almost like Pathname but just a little less insane."
+  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
+  s.require_paths = ["lib".freeze]
+  s.authors = ["Jordon Bedwell".freeze]
+  s.date = "2018-10-30"
+  s.description = "Like Pathname but a little less insane.".freeze
+  s.email = ["jordon@envygeeks.io".freeze]
+  s.files = ["Gemfile".freeze, "LICENSE".freeze, "Rakefile".freeze, "lib/pathutil.rb".freeze, "lib/pathutil/helpers.rb".freeze, "lib/pathutil/version.rb".freeze]
+  s.homepage = "http://github.com/envygeeks/pathutil".freeze
+  s.licenses = ["MIT".freeze]
+  s.rubygems_version = "2.5.2.1".freeze
+  s.summary = "Almost like Pathname but just a little less insane.".freeze
 
   if s.respond_to? :specification_version then
     s.specification_version = 4
 
     if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
-      s.add_runtime_dependency(%q<forwardable-extended>, ["~> 2.6"])
+      s.add_runtime_dependency(%q<forwardable-extended>.freeze, ["~> 2.6"])
     else
-      s.add_dependency(%q<forwardable-extended>, ["~> 2.6"])
+      s.add_dependency(%q<forwardable-extended>.freeze, ["~> 2.6"])
     end
   else
-    s.add_dependency(%q<forwardable-extended>, ["~> 2.6"])
+    s.add_dependency(%q<forwardable-extended>.freeze, ["~> 2.6"])
   end
 end

Publish Blockers

  • ☑ run was successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer pkg-ruby-extras-maintainers@lists.alioth.debian.org
  • ☑ change set 356b2c79-3bef-485e-9c17-b834cd6dec83 is ready

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-releases ruby-pathutil

Lintian Result

Full worker log Full build log